#pragma once

#include "CivAttributes.h"
#include "CivGeometry.h"

/**
     要素类
*/
class CivFeature
{
public:
    typedef int FeatureId;

    CivFeature(const CivGeometry& geom );
    CivFeature() = default;
    ~CivFeature();


    void setGeometry(const CivGeometry& geo);

    void addAttributes(const CivAttributes& attributes);

private:
    FeatureId mFeaId; // 要素id
    CivGeometry mGeometry; // 几何体类型
    CivAttributes mAttributes; // 属性集合
};
